﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"/>
	<script src="bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Sin título 1</title>
	<style>
	div{
		border:2px solid gray;
	}
	.col-12{
		background-color:olive;
	}
	.col-6{
		background-color:teal;
	}
	.col-md-4{
		background-color:orange;
	}
	.col-5{
		background-color:red;
	}
	.col{
		background-color:purple;
	}
	.col-md-auto{
		background-color:green;
	}
	.col-lg-2{
		background-color:lime;
	}
		
	</style>
</head>

<body>

	<div class="container">	
	
		<!--	En	pantallas	pequeñas	aparecerá	una	columna	que	ocupará	todo	el	ancho y	otra	que	ocupará	la	mitad	de	la	pantalla	--> 
		<div	class="row">		
			<div	class="col-12	col-md-8">.col-12	.col-md-8</div>		
			<div	class="col-6	col-md-4">.col-6	.col-md-4</div> 
		</div>
	
		<!--	En	pantallas	medianas	se	indica	que	cada	columna	ocupe	la	mitad del	ancho	disponible	--> 
		<div	class="row">		
			<div	class="col-6	col-md-4">.col-6	.col-md-4</div>		
				<div	class="col-6	col-md-4">.col-6	.col-md-4</div>		
				<div	class="col-6	col-md-4">.col-6	.col-md-4</div> 
			</div>

		<!--	Como	no	se	indica	el	tamaño	para	pantallas	grandes	las	columnas siempre	ocuparán	el	50%	--> 
		<div	class="row">		
			<div	class="col-6">.col-6</div>		
			<div	class="col-6">.col-6</div> 
		</div>
		
		
		
		<br/>
		<br/>
		<br/>
		
		
		
		<!-- Modo Mixto -->
		<div	class="row">				
			<div	class="col">1	of	3 / col</div>				
			<div	class="col-6">2	of	3	(wider) / col-6</div>				
			<div	class="col">3	of	3 / col</div>		
		</div>		
		<div	class="row">				
			<div	class="col-5">1	of	3	(wider) / col-5</div>				
			<div	class="col">2	of	3 / col</div>				
			<div	class="col">3	of	3 / col</div>		
		</div>
		
		
		
		<br/>
		<br/>
		<br/>
		
		
		
		<!-- Con Ancho de Columna Variable -->
		<div	class="row	justify-content-md-center">				
			<div	class="col	col-lg-2">1	of	3 / col col-lg-2</div>				
			<div	class="col-md-auto">Ancho variable dependiendo del contenido / col-md-auto</div>				
			<div	class="col	col-lg-2">3	of	3 / col col-lg-2</div>		
		</div>		
			<div	class="row">				
			<div	class="col">1	of	3 / col</div>				
			<div	class="col-md-auto">Ancho variable dependiendo del contenido / col-md-auto</div>				
			<div	class="col	col-lg-2">3	of	3 / col col-lg-2</div>		
		</div> 

		
	</div>
	
</body>

</html>
